System.Web 2.0.0.0

Data is usually sent from a provider to a consumer in a Web Parts connection. However, in some cases, a provider needs a parameter from the consumer to determine which values it should send back. The interface defines members to implement that facilitate the passing of a parameter from a consumer to a provider.

The class implements the interface. Transformers are used to translate data between two Web Parts controls with incompatible connection points. A object transforms data from a provider implementing the interface when the provider needs a parameter from the consumer.

The method retrieves the data from the provider and provides a callback method to process the data for the consumer. The callback method can be a customized method within the consumer that sets the return values accordingly.

Defines the contract a Web Parts control implements to pass a parameter value in a Web Parts connection.

- Method
  System.Void ``

  The method is used to retrieve the values from the provider based on a parameter. The method represented by the parameter processes the data for use by the consumer.

  Gets the value of the data from the connection provider.

  The method to call to process the data from the provider. 2.0.0.0
- Property
  System.ComponentModel.PropertyDescriptorCollection To be added.

  The property provides property information for the data passed by the interface. Transformer and consumer controls can query this property to get information about the type, contents, and other details of the field contained in the interface instance.

  Gets the property descriptors for the data to be received by the consumer.

  2.0.0.0
- Method
  System.Void `` To be added.

  Sets the property descriptors for the properties that the consumer receives when calling the method.

  The returned by . 2.0.0.0